// SPDX-License-Identifier: MIT
pragma solidity ^0.8.20;

import {IERC20} from "@openzeppelin-contracts/token/ERC20/IERC20.sol";

interface IGHST is IERC20 {
    error NotStakingContract();
    function staking() external view returns (address);
    function stnk() external view returns (address);
    function index() external view returns (uint256);
    function balanceTo(uint256 amount) external view returns (uint256);
    function balanceFrom(uint256 amount) external view returns (uint256);
    function mint(address _to, uint256 _amount) external;
    function burn(address _from, uint256 _amount) external;
}
